# mongod.conf

# for documentation of all options, see:
#   http://docs.mongodb.org/manual/reference/configuration-options/

# where to write logging data.
systemLog:
  destination: file
  logAppend: true
  logRotate: reopen
  path: /opt/lib/log/mongod.log

# Where and how to store data.
storage:
  dbPath: /opt/lib/mongo
  journal:
    enabled: true

#  engine: "mmapv1"
  engine: "wiredTiger"
  directoryPerDB: true
#  wiredTiger:
#      engineConfig:
#          cacheSizeGB: 8
#      collectionConfig:
#          blockCompressor: snappy

# how the process runs
processManagement:
  fork: true  # fork and run in background
  pidFilePath: /opt/lib/mongo/mongod.pid

# network interfaces
net:
  port: 27017
  bindIp: 0.0.0.0  # Listen to local interface only, comment to listen on all interfaces.


security:
  authorization: disabled

setParameter:
  enableLocalhostAuthBypass: false

#operationProfiling:

#replication:

#sharding:

## Enterprise-Only Options

#auditLog:

#snmp:
